Users
Update your own user record
Authorization
session session_id<token>
Browser session cookie. Obtained via /api/auth/login.
In: cookie
Path Parameters
id*string
User ID
Format
uuidRequest Body
application/json
email*string
The user's email address, also their login identifier.
Format
emailnetwork_ids*array<string>
The networks this entity applies to.
organization_id*string
The organization that owns this record.
Format
uuidpermissions*string
The user's role within the organization.
Value in
"Owner" | "Admin" | "Member" | "Viewer"email_settings?
Per-user email preferences
email_verified?boolean
Whether the user has verified their email address
oidc_linked_at?string|null
When the account was linked to the identity provider.
Format
date-timeoidc_provider?string|null
Slug of the identity provider this account signs in through, when linked.
Response Body
application/json
application/json
application/json
curl -X PUT "https://app.scanopy.net/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "email": "[email protected]", "network_ids": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6", "permissions": "Owner" }'{
"meta": {
"api_version": 1,
"server_version": "0.17.7"
},
"success": true,
"data": {
"email": "[email protected]",
"network_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
"permissions": "Owner",
"email_settings": {
"discovery_digest": true,
"daemon_alerts": true,
"product_onboarding": true,
"trial_and_usage": true
},
"email_verified": true,
"has_password": true,
"oidc_linked_at": "2019-08-24T14:15:22Z",
"oidc_provider": "string",
"terms_accepted_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updated_at": "2019-08-24T14:15:22Z"
},
"error": "string"
}{
"meta": {
"api_version": 1,
"server_version": "0.17.7"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}{
"meta": {
"api_version": 1,
"server_version": "0.17.7"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}